Subject: Re: Help! Cannot install debian 1.1

From: Thomas Baetzler <[email-masked]>
Date: Wed, 24 Jul 1996 02:46:37 +0200

Guglielmo Rabbiolo wrote:
> 
> hi,
> 
> I've recently decided to install debian 1.1 after having used
> Slackware for years and I've been able at least to compile
> and boot kernel 2.0.
> 
> I followed the instructions and made the INSTALLATION BOOT
> disk boot1440.bin and the other disks.
> 
> When I reboot the system with this INSTALLATION BOOT disk I
> get at the boot: prompt and hit return.
> After that I get the loading....Uncompressing linux ... done
> message.
> Then everything goes very fast and after some "usual
> messages" I can see a kernel booting message followed by a
> lines of numbers of the form [<001f000a00>].
> 
> Then this dump stops for few seconds and from then on keep
> repeting itself. The only way to stop this process is to
> reboot the system.
> 
> I'm pretty sure the copy for the disk I made is not corrupted
> since I checked the md5 cheksum number.
> 
> Have any idea on what is going on?
> Is there any way to log the booting precess in order to be
> able to read the dump?

I've got a notion that the default kernel on this disk may have
some driver enabled that kills your system while probing for its
hardware. If you have a Slackware system still up and running,
you might want to compile your own kernel and use it on the boot
disk. This process basically involves a "make zimage" with initrd
and msdos filesystem aswell as other needed drivers enabled in the
kernel configuration. Then you mount the boot disk "mount -tmsdos
/dev/fd0" and copy the newly compiled kernel over:
"cp arch/i386/boot/zImage /mnt/linux". After that, you run the
prep script for the new kernel: "cd /mnt ; ./rdev.sh". You should
be able to boot your system with this kernel. 

HTH,
-- 
Thomas Baetzler, [email-masked], [email-masked]
   <A HREF="http://home.pages.de/~thb/">thb's Homepage</A>